SHRED(1)

NAMN
shred — skriv över en fil för att dölja dess innehåll, och radera den om valt

SYNOPSIS
shred [FLAGGA]... FIL...

BESKRIVNING

Skriv över de angivna FIL(erna) upprepade gånger, för att göra det svårare även för väldigt dyra hårdvaruutrustningar att ta fram data.

Om FIL är -, strimla standard ut.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-f, --force
    Ändra rättigheter för att tillåta skrivning, om nödvändigt.

-n, --iterations=N
    Skriv över N gånger istället för standard (3).

--random-source=FIL
    Hämta slumpbyte:ar från FIL.

-s, --size=N
    Strimla detta antal byte (ändelse som K, M, G fungerar).

-u  Avallokera och ta bort filen efter överskrivningen.

--remove[=HUR]
    Som -u men styr HUR filen tas bort; se nedan.

-v, --verbose
    Följ processen.

-x, --exact
    Avrunda inte filstorlekar upp till nästa hela block;

    detta är standardfallet för icke-normala filer.

-z, --zero
    Lägg till en avslutande överskrivning med nollor för att dölja strimlandet.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Ta bort FIL(er) om --remove (-u) anges. Standard är att inte ta bort filerna för det är vanligt att arbeta på enhetsfiler som /dev/hda, och dessa filer bör inte tas bort. Den frivilliga parametern HUR anger hur katalogposter skall tas bort: ”unlink” ⇒ använd ett vanligt anrop av unlink. ”wipe” ⇒ förvilla även först byte i namnet. ”wipesync” ⇒ synkronisera även varje förvillad byte till enheten. Standardläget är ”wipesync”, men observera att detta kan vara dyrt.

VARNING: shred antar att filsystemet och hårdvaran skriver över data på plats. Även om detta är vanligt fungerar många plattformar på annat sätt. Vidare kan säkerhetskopior och speglar innehålla kopior som inte går att ta bort som gör att den strimlade filen kan återskapas senare. Se manualen för GNU coreutils för detaljer.

UPPHOVSMAN
Skrivet av Colin Plumb.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/shred>
eller tillgängligt lokalt via: info '(coreutils) shred invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.